PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : Linux auf IDE-Raid installieren



lumens
03.10.2003, 15:28
Hallo,

ich habe einen Aralion UltimaRaid100-Controller und damit zwei IDE-Platten durch Raid 0 verbunden.

Bisher habe ich Windows XP auf meinem Rechner. So langsam möchte ich jetzt aber versuchen umzusteigen auf Linux. Kenne mich allerdings so gut wie gar nicht mit Linux aus.

Ich habe mir jetzt einen Linux-Treiber für meinen Raid-Controller runtergeladen. Der Name der Treiberdatei lautet: LV2.02X-(2.4.2-2)-X86-ATA_0904.zip
In diesem Archiv befinden sich folgende Dateien:
atapi.h, Makefile, scsi_module.c, scsi_obsolete.c, ultima.c, ultima.h, ultima.o

Ich weiß, dass es unkompilierter C- oder C++-Code ist. Anscheinend muss ich den noch kompilieren. Als Compiler habe ich Cygnus und VisualStudio zur Auswahl. Allerdings hört genau hier mein Wissen darüber auf.

Wie kompilier ich diese Dateien? Wie bekomme ich die dann in Linux rein? Wie installiere ich dann Linux?

Ich habe mir mal Mandrake, Debian und Suse angeschaut. Gefallen mir eigentlich alle. Welches eignet sich am Besten für einen ambitionierten Anfänger?

Ich habe gehört, dass der Lilo in den ersten 8GB der Platte liegen muss. Kann ich nur Lilo auf ne eigene kleine Partition ablegen und den Rest von Linux weiter hinten auf die Platte aufspielen? Muss Linux in ner Primärpartition liegen? (möchte nämlich vorerst auch noch mein WinXP drauf lassen)

Vielen Dank schon mal.

Gruß,
Jürgen

devilz
03.10.2003, 15:56
Gibt es zu den Treiber keine INSTALL oder HOWTO Textdatei ?

Meist reicht ein make && make install um den Treiber zu kompilieren & installieren ....

lumens
03.10.2003, 16:31
Danke für Deine Antwort

Nein, es sind nur die oben gelistete Dateien dabei. Hab auch auf der Seite nach Lösungen gesucht, aber nichts gefunden.

Mit make geht nix, weil ich muss ja Linux erst installieren und dazu brauch ich die Treiber und das Wissen, wie ich dann Linux auf die Raid-Platten installieren kann. Hab momentan nur Windows drauf.

Gruß,
Jürgen

devilz
03.10.2003, 16:38
Also unter Linux solltest das schon klappen.

Du wirst wohl die Kernel Devel Packete benötigen ... dann sollte alles klappen.